<?php
/**
 * SeoTemplatesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * SeoTemplatesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SeoTemplatesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for addSeoTemplateProducts
     *
     * Linking objects of Product to object of SeoTemplate.
     *
     */
    public function testAddSeoTemplateProducts()
    {
    }

    /**
     * Test case for createSeoTemplate
     *
     * Creating an object of SeoTemplate.
     *
     */
    public function testCreateSeoTemplate()
    {
    }

    /**
     * Test case for deleteSeoTemplate
     *
     * Deleting an object of SeoTemplate.
     *
     */
    public function testDeleteSeoTemplate()
    {
    }

    /**
     * Test case for deleteSeoTemplateProducts
     *
     * Deleting links between objects of Product and object of SeoTemplate.
     *
     */
    public function testDeleteSeoTemplateProducts()
    {
    }

    /**
     * Test case for getSeoTemplate
     *
     * Get the object of SeoTemplate by ID.
     *
     */
    public function testGetSeoTemplate()
    {
    }

    /**
     * Test case for patchSeoTemplate
     *
     * Patching an object of  SeoTemplate.
     *
     */
    public function testPatchSeoTemplate()
    {
    }

    /**
     * Test case for searchOneSeoTemplate
     *
     * Search for an object of SeoTemplate.
     *
     */
    public function testSearchOneSeoTemplate()
    {
    }

    /**
     * Test case for searchSeoTemplates
     *
     * Search for objects of SeoTemplate.
     *
     */
    public function testSearchSeoTemplates()
    {
    }
}
